Get a backup destination
GET
/backup-destinations/{destinationId}
const url = 'https://example.com/api/v1/backup-destinations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'GET', headers: {cookie: '__Host-shardkeep_session=<__Host-shardkeep_session>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/backup-destinations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --cookie __Host-shardkeep_session=<__Host-shardkeep_session>Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”destinationId
required
string format: uuid
Responses
Section titled “Responses”The destination.
Media typeapplication/json
object
id
required
string format: uuid
name
required
string
kind
required
string
subdirectory
For NODE_DIRECTORY, the directory below each Agent’s -backup-dir.
string
s3
object
endpoint
required
string
bucket
required
string
region
required
string
prefix
required
string
accessKeyId
required
string
customCa
required
Whether extra CA certificates are trusted for the endpoint.
boolean
recipient
required
The age public key backups are encrypted to.
string
createdAt
required
string format: date-time
Example
{ "kind": "NODE_DIRECTORY"}Not signed in, or the credentials are invalid.
Media typeapplication/problem+json
An RFC 9457 problem with a machine-readable code.
object
type
required
string
title
required
string
status
required
integer
detail
string
code
required
Stable machine-readable error code.
string
Example
{ "type": "about:blank", "title": "Conflict", "status": 409, "code": "conflict"}Not found, or not visible to you.
Media typeapplication/problem+json
An RFC 9457 problem with a machine-readable code.
object
type
required
string
title
required
string
status
required
integer
detail
string
code
required
Stable machine-readable error code.
string
Example
{ "type": "about:blank", "title": "Conflict", "status": 409, "code": "conflict"}Shardkeep is free software under the AGPL-3.0. Minecraft is a trademark of Mojang AB; Shardkeep is not affiliated with or endorsed by Mojang or Microsoft.